com.verisign.epp.transport

## Class EPPServerThread

- java.lang.Object
- - java.lang.Thread
  - - com.verisign.epp.transport.EPPServerThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class EPPServerThread
      extends java.lang.Thread

  Server thread for processing a new client connection.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPServerThread(java.net.Socket aSocket, ServerEventHandler aHandler)` Creates a new EPPServerThread object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Process the client connection.

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPServerThread

          public EPPServerThread(java.net.Socket aSocket,
                                 ServerEventHandler aHandler)
                          throws java.io.IOException

      Creates a new EPPServerThread object.
      Parameters:
        `aSocket` - Client socket to handle in thread
        `aHandler` - Client connection handler
      Throws:
        `java.io.IOException` - Exception process the client socket

  - ### Method Detail

    - #### run

          public void run()

      Process the client connection.
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`